ResolveLeadCaptureAPI previews or records an audited disposition of a refused
capture.
curl --request POST \
--url https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"apply": true,
"expected_snapshot": "<string>",
"operation_key": "<string>",
"reason": "<string>",
"target_lead_id": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve"
payload = {
"action": "<string>",
"apply": True,
"expected_snapshot": "<string>",
"operation_key": "<string>",
"reason": "<string>",
"target_lead_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: '<string>',
apply: true,
expected_snapshot: '<string>',
operation_key: '<string>',
reason: '<string>',
target_lead_id: '<string>'
})
};
fetch('https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => '<string>',
'apply' => true,
'expected_snapshot' => '<string>',
'operation_key' => '<string>',
'reason' => '<string>',
'target_lead_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve"
payload := strings.NewReader("{\n \"action\": \"<string>\",\n \"apply\": true,\n \"expected_snapshot\": \"<string>\",\n \"operation_key\": \"<string>\",\n \"reason\": \"<string>\",\n \"target_lead_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"<string>\",\n \"apply\": true,\n \"expected_snapshot\": \"<string>\",\n \"operation_key\": \"<string>\",\n \"reason\": \"<string>\",\n \"target_lead_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"<string>\",\n \"apply\": true,\n \"expected_snapshot\": \"<string>\",\n \"operation_key\": \"<string>\",\n \"reason\": \"<string>\",\n \"target_lead_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"already_applied": true,
"applied": true,
"capture": {
"candidate_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": {
"action": "<string>",
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"operation_key": "<string>",
"reason": "<string>",
"result_receipt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot": "<string>",
"target_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"evidence": {
"captured_at": "2023-11-07T05:31:56Z",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_touch_columns": [
"<string>"
],
"is_test": true,
"normalized_capture": {},
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"producer_columns": [
{
"description": "<string>",
"name": "<string>",
"required": true,
"semantic_role": "<string>",
"type": "<string>"
}
],
"record_form_answers": true,
"trusted_test": true
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation_key": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"producer": "<string>",
"producer_revision": "<string>",
"resolution": "<string>",
"source_payload_digest": "<string>"
},
"snapshot": "<string>",
"target_row": {}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
ResolveLeadCaptureAPI previews or records an audited disposition of a refused capture.
The original submission is loaded by the capture owner, never accepted in this request.
POST
/
v1
/
datasets
/
{datasetSlug}
/
lead-captures
/
{captureID}
/
resolve
ResolveLeadCaptureAPI previews or records an audited disposition of a refused
capture.
curl --request POST \
--url https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"apply": true,
"expected_snapshot": "<string>",
"operation_key": "<string>",
"reason": "<string>",
"target_lead_id": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve"
payload = {
"action": "<string>",
"apply": True,
"expected_snapshot": "<string>",
"operation_key": "<string>",
"reason": "<string>",
"target_lead_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: '<string>',
apply: true,
expected_snapshot: '<string>',
operation_key: '<string>',
reason: '<string>',
target_lead_id: '<string>'
})
};
fetch('https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => '<string>',
'apply' => true,
'expected_snapshot' => '<string>',
'operation_key' => '<string>',
'reason' => '<string>',
'target_lead_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve"
payload := strings.NewReader("{\n \"action\": \"<string>\",\n \"apply\": true,\n \"expected_snapshot\": \"<string>\",\n \"operation_key\": \"<string>\",\n \"reason\": \"<string>\",\n \"target_lead_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"<string>\",\n \"apply\": true,\n \"expected_snapshot\": \"<string>\",\n \"operation_key\": \"<string>\",\n \"reason\": \"<string>\",\n \"target_lead_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erdo.ai/v1/datasets/{datasetSlug}/lead-captures/{captureID}/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"<string>\",\n \"apply\": true,\n \"expected_snapshot\": \"<string>\",\n \"operation_key\": \"<string>\",\n \"reason\": \"<string>\",\n \"target_lead_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"already_applied": true,
"applied": true,
"capture": {
"candidate_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": {
"action": "<string>",
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"operation_key": "<string>",
"reason": "<string>",
"result_receipt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot": "<string>",
"target_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"evidence": {
"captured_at": "2023-11-07T05:31:56Z",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_touch_columns": [
"<string>"
],
"is_test": true,
"normalized_capture": {},
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"producer_columns": [
{
"description": "<string>",
"name": "<string>",
"required": true,
"semantic_role": "<string>",
"type": "<string>"
}
],
"record_form_answers": true,
"trusted_test": true
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation_key": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"producer": "<string>",
"producer_revision": "<string>",
"resolution": "<string>",
"source_payload_digest": "<string>"
},
"snapshot": "<string>",
"target_row": {}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Body
application/json

